com.pixelmed.display

## Class DicomImageBlackout.StatusNotificationHandler

- java.lang.Object
- - com.pixelmed.display.DicomImageBlackout.StatusNotificationHandler

Direct Known Subclasses:
  DicomCleaner.OurDicomImageBlackout.ApplicationStatusChangeEventNotificationHandler, DicomImageBlackout.DefaultStatusNotificationHandler

Enclosing class:
  DicomImageBlackout

    public abstract class DicomImageBlackout.StatusNotificationHandler
    extends java.lang.Object

An abstract class for the user of to supply a callback notification method, supplied as an argument of the `DicomImageBlackout()` constructor.

### Field Summary

Fields
`static int` `BLACKOUT_FAILED`
`static int` `CANCELLED`
`static int` `COMPLETED`
`static int` `READ_FAILED`
`static int` `SAVE_FAILED`
`static int` `SAVE_SUCCEEDED`
`static int` `UNSAVED_CHANGES`
`static int` `WINDOW_CLOSED`

### Constructor Summary

Constructors
`protected` `DicomImageBlackout.StatusNotificationHandler()`

### Method Summary

Methods
`abstract void` `notify(int status, java.lang.String message, java.lang.Throwable t)` The callback method when status is updated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WINDOW_CLOSED

    public static final int WINDOW_CLOSED

See Also:
  Constant Field Values

#### CANCELLED

    public static final int CANCELLED

See Also:
  Constant Field Values

#### COMPLETED

    public static final int COMPLETED

See Also:
  Constant Field Values

#### SAVE_FAILED

    public static final int SAVE_FAILED

See Also:
  Constant Field Values

#### UNSAVED_CHANGES

    public static final int UNSAVED_CHANGES

See Also:
  Constant Field Values

#### SAVE_SUCCEEDED

    public static final int SAVE_SUCCEEDED

See Also:
  Constant Field Values

#### READ_FAILED

    public static final int READ_FAILED

See Also:
  Constant Field Values

#### BLACKOUT_FAILED

    public static final int BLACKOUT_FAILED

See Also:
  Constant Field Values

### Constructor Detail

#### DicomImageBlackout.StatusNotificationHandler

    protected DicomImageBlackout.StatusNotificationHandler()

### Method Detail

#### notify

    public abstract void notify(int status,
              java.lang.String message,
              java.lang.Throwable t)

The callback method when status is updated.

Parameters:
  `status` - a numeric status
  `message` - a description of the status, and in some cases, affected file names
  `t` - the exception that lead to the status notification, if caused by an exception, else null